| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
LicenseSpring::FloatingServerInfo Class Reference

Class that encapsulates information on Floating server settings. More...

`#include <LicenseSpring/FloatingServerInfo.h>`

## Public Types
using | ptr_t = std::shared_ptr< FloatingServerInfo >

## Public Member Functions
| FloatingServerInfo ()
| Default constructor, creates empty settings.
| FloatingServerInfo (uint32_t registrationExpiry, const std::vector< std::string > &serverList)
| Constructs FloatingServerInfo with given data.
uint32_t | registrationExpiry () const
| Getter method for registration timeout.
const std::vector< std::string > & | servers () const
| Getter method for server list.

## Detailed Description

Class that encapsulates information on Floating server settings.

See also https://docs.licensespring.com/docs/apiv4floatingsettings.

Definition at line 19 of file FloatingServerInfo.h.

## Member Typedef Documentation

## ◆ ptr_t

using LicenseSpring::FloatingServerInfo::ptr_t = std::shared_ptr<FloatingServerInfo>

Definition at line 22 of file FloatingServerInfo.h.

## Constructor & Destructor Documentation

## ◆ FloatingServerInfo() [1/2]

LicenseSpring::FloatingServerInfo::FloatingServerInfo | ( |  | ) |
| inline

Default constructor, creates empty settings.

Definition at line 25 of file FloatingServerInfo.h.

## ◆ FloatingServerInfo() [2/2]

LicenseSpring::FloatingServerInfo::FloatingServerInfo | ( | uint32_t | registrationExpiry,
|  | const std::vector< std::string > & | serverList
| ) |  |
| inline

Constructs FloatingServerInfo with given data.

Parameters

  registrationExpiry | The registration expiry time in minutes
  serverList | List of floating servers IP addresses

Definition at line 30 of file FloatingServerInfo.h.

## Member Function Documentation

## ◆ registrationExpiry()

uint32_t LicenseSpring::FloatingServerInfo::registrationExpiry | ( |  | ) | const
| inline

Getter method for registration timeout.

Returns
  Registration expiry in minutes.

Definition at line 36 of file FloatingServerInfo.h.

## ◆ servers()

const std::vector< std::string > & LicenseSpring::FloatingServerInfo::servers | ( |  | ) | const
| inline

Getter method for server list.

Returns
  List of floating servers IP addresses available in the network.

Definition at line 40 of file FloatingServerInfo.h.

The documentation for this class was generated from the following file:

- LicenseSpring/FloatingServerInfo.h